ALTER LANGUAGE(5sql)

NAME
ALTER LANGUAGE - change the definition of a procedural language

SYNOPSIS

ALTER [ PROCEDURAL ] LANGUAGE name RENAME TO newname
ALTER [ PROCEDURAL ] LANGUAGE name OWNER TO new_owner

DESCRIPTION

ALTER LANGUAGE changes the definition of a procedural language. The only functionality is to rename the language or assign a new owner. You must be superuser or owner of the language to use ALTER LANGUAGE.

PARAMETERS

name
    Name of a language

newname
    The new name of the language

new_owner
    The new owner of the language

COMPATIBILITY

There is no ALTER LANGUAGE statement in the SQL standard.

SEE ALSO
CREATE LANGUAGE [create_language(5)], DROP LANGUAGE [drop_language(5)]